%define modname amf
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A61_%{modname}.ini

Summary:	ActionScript Message Format extension
Name:		php-%{modname}
Version:	0.9.2
Release:	%mkrel 11
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/amfext/
Source0:	http://pecl.php.net/get/amfext-%{version}.tgz
BuildRequires:	php-devel >= 3:5.2.1
BuildRequires:	file

%description
Allows to encode and decode PHP data in ActionScript Message Format (AMF)
version 0 and 3

%prep

%setup -q -n amfext-%{version}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'



%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
%make

mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS ChangeLog LICENSE README package*.xml amfext.php amf_sb.php docs/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}




%changelog

* Wed Jan 30 2013 oden <oden> 0.9.2-11.mga3
+ Revision: 393238
- rebuilt for php-5.4.11

* Mon Jan 14 2013 spuhler <spuhler> 0.9.2-10.mga3
+ Revision: 381838
- removed peclpatch
  Replaced sourced with current upstream

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.9.2-9.mga2
+ Revision: 223854
- httpd restart is handled by filetriggers now

* Tue Dec 20 2011 spuhler <spuhler> 0.9.2-8.mga2
+ Revision: 185038
- rebuild against php-5.3.9

* Sun Feb 06 2011 spuhler <spuhler> 0.9.2-7.mga1
+ Revision: 47642
- removed buildroot definition from .spec
- imported package php-amf

